summaryrefslogtreecommitdiff
path: root/tests/touch/obsolescent
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/obsolescent')
-rwxr-xr-xtests/touch/obsolescent4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/touch/obsolescent b/tests/touch/obsolescent
index 31f32658e..b7242ed20 100755
--- a/tests/touch/obsolescent
+++ b/tests/touch/obsolescent
@@ -17,7 +17,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -27,4 +27,4 @@ for ones in 11111111 1111111111; do
test -f $ones || fail=1
done
-(exit $fail); exit
+(exit $fail); exit $fail